Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.mail.smime.handlers
Class x_pkcs7_signature

    java.lang.Object
      org.bouncycastle.mail.smime.handlers.x_pkcs7_signature

All Implemented Interfaces:
  javax.activation.DataContentHandler

    public class x_pkcs7_signature

extends java.lang.Object
implements javax.activation.DataContentHandler

Constructor Summary
`x_pkcs7_signature()`

Method Summary
`java.lang.Object` | `getContent(javax.activation.DataSource _ds)`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor _df, javax.activation.DataSource _ds)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`void` | `writeTo(java.lang.Object _obj, java.lang.String _mimeType, java.io.OutputStream _os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### x_pkcs7_signature

    public x_pkcs7_signature()

Method Detail

### getContent

    public java.lang.Object getContent(javax.activation.DataSource _ds)
                                throws java.io.IOException

  Specified by:
    `getContent` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.io.IOException`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor _df,
                                            javax.activation.DataSource _ds)
                                     throws java.io.IOException

  Specified by:
    `getTransferData` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.io.IOException`

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `javax.activation.DataContentHandler`

### writeTo

    public void writeTo(java.lang.Object _obj,
                        java.lang.String _mimeType,
                        java.io.OutputStream _os)
                 throws java.io.IOException

  Specified by:
    `writeTo` in interface `javax.activation.DataContentHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD